from bioMoby import *

print "Building a query..."
print "MobyObject namespace='Genbank/ID', id='1ATG145'"
a=MobyObject(namespace='Genbank/ID', id='1ATG145')
a.content="Should be something?!"
print "MobyObject namespace='Genbank/ID', id='2BDM78'"
b=MobyObject(namespace='Genbank/ID', id='2BDM78')
print "MobyObject namespace='PDB', id='1TIM'"
c=MobyObject(namespace='PDB', id='1TIM')
print "MobyString namespace='Message', id='145787'"
d=MobyString("a small note", namespace="Message", id="145787")

print "parameters a=1, b=2, c=3, d=4"
p1=Parameter('a',1)
p2=Parameter('b',2)
p3=Parameter('c',3)
p4=Parameter('d',4)

print "building the MobyContent object"
query=MobyContent({'q1':[a, p1, p2], 'q2':[b, p3, p4], 'q3':[c], 'q4':[d]})

s=str(query)

print s

print "creating an object from the Unmarshaller:"
um=MobyUnmarshaller()

o=um.loads(s)

print "contents:"

for query in o.keys():
    print o[query][0].content
